Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.feeds.entries
Class FeedEntry

    java.lang.Object
      com.bea.apps.groupspace.content.ContentBaseImpl
          com.bea.apps.groupspace.content.CommunityContent
              com.bea.apps.groupspace.feeds.entries.FeedEntry

All Implemented Interfaces
  ContentBase, Serializable

    public class FeedEntry

extends CommunityContent

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.apps.groupspace.content.CommunityContent
`CommunityContent.NodeType, CommunityContent.Visibility`

Field Summary
`static String` | `AUTHOR`
`static String` | `CONTENTS`
`static String` | `ENTRY_DESCRIPTION`
`static String` | `IS_ARCHIVED`
`static String` | `LINK`
`static String` | `PUBLICATION_DATE`
`static String` | `TYPE_NAME`
`static String` | `UID`
`static String` | `URI`

Fields inherited from class com.bea.apps.groupspace.content.CommunityContent
`CC_DESCRIPTION, CC_OWNER, CC_RELATED_NODES, CC_TITLE, CC_VISIBILITY, hiddenRelatedContent, hiddenRelatedContentIsSet, relatedContent, relatedContentIsSet, visibility`

Fields inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`node, typeName`

Constructor Summary
`FeedEntry()` Need this
`FeedEntry(Node node)` Create a FeedEntry from a Node

Method Summary
`String` | `getAuthor()`
`Value` | `getContents()`
`Value` | `getEntryDescription()`
`String` | `getLink()`
`Calendar` | `getPublicationDate()`
`String` | `getUid()`
`String` | `getUri()`
`boolean` | `isArchived()`
`void` | `setAuthor(String author)`
`void` | `setContents(String contents)`
`void` | `setEntryDescription(String entryDescription)`
`void` | `setIsArchived(boolean isArchived)`
`void` | `setLink(String link)`
`void` | `setPublicationDate(Calendar date)`
`void` | `setUid(String uid)`
`void` | `setUri(String uri)`

Methods inherited from class com.bea.apps.groupspace.content.CommunityContent
`convertVisibilityString, getDescription, getDisplayName, getIcon, getIcon, getOwner, getTitle, getVisibility, getVisibilityString, isPrivate, setDescription, setOwner, setRelatedContent, setTitle, setVisibility`

Methods inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`arrayAsValueArray, equals, getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, getStringValues, getValue, hashCode, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NAME

    public static final String TYPE_NAME

See Also
  Constants Summary

### AUTHOR

    public static final String AUTHOR

See Also
  Constants Summary

### LINK

    public static final String LINK

See Also
  Constants Summary

### URI

    public static final String URI

See Also
  Constants Summary

### PUBLICATION_DATE

    public static final String PUBLICATION_DATE

See Also
  Constants Summary

### CONTENTS

    public static final String CONTENTS

See Also
  Constants Summary

### IS_ARCHIVED

    public static final String IS_ARCHIVED

See Also
  Constants Summary

### UID

    public static final String UID

See Also
  Constants Summary

### ENTRY_DESCRIPTION

    public static final String ENTRY_DESCRIPTION

See Also
  Constants Summary

Constructor Detail

### FeedEntry

    public FeedEntry()

  Need this

### FeedEntry

    public FeedEntry(Node node)

  Create a FeedEntry from a Node

Method Detail

### getAuthor

    public String getAuthor()

### setAuthor

    public void setAuthor(String author)

### getLink

    public String getLink()

### setLink

    public void setLink(String link)

### getUri

    public String getUri()

### setUri

    public void setUri(String uri)

### getPublicationDate

    public Calendar getPublicationDate()

### setPublicationDate

    public void setPublicationDate(Calendar date)

### isArchived

    public boolean isArchived()

### setIsArchived

    public void setIsArchived(boolean isArchived)

### getContents

    public Value getContents()
                      throws Exception

  Throws
    `Exception`

### setContents

    public void setContents(String contents)
                     throws Exception

  Throws
    `Exception`

### getEntryDescription

    public Value getEntryDescription()
                              throws Exception

  Throws
    `Exception`

### setEntryDescription

    public void setEntryDescription(String entryDescription)
                             throws Exception

  Throws
    `Exception`

### getUid

    public String getUid()

### setUid

    public void setUid(String uid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved